<template>
  <div>
    <h1 class="mb-3">Do any of the following apply to you?</h1>
    <p class="mb-6 text-base">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        :value="checkboxSelected"
        @input="handleCheckboxInput"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <CommonBtn
      :disabled="!checkboxSelected.length"
      text="Next"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, checkboxMixin, referMixin} from "@/utils/mixins";
import CommonBtn from "@/components/common/CommonBtn";
import {constants} from "@/constants";
import CheckboxInput from "@/components/inputs/CheckboxInput";

const BEND_CHOICE = 'Significant bend in your penis'
const PAIN_WITH_AN_ERECTION_CHOICE = 'Pain with an erection'
const PROBLEMS_WITH_EJACULATION_CHOICE = 'Problems with ejaculation/orgasm'

export default {
  components: {CheckboxInput, CommonBtn},
  mixins: [checkboxMixin, answersMixin, referMixin],
  name: "YourHealth13",
  data() {
    return {
      choices: [
        BEND_CHOICE,
        PAIN_WITH_AN_ERECTION_CHOICE,
        'Do not look forward to sex',
        'Do not enjoy sexual activity',
        'Do not fantasize or have sexual dreams',
        'Not easily sexually aroused',
        'Low sex drive/libido',
        PROBLEMS_WITH_EJACULATION_CHOICE,
        'Have to concentrate to maintain erection',
        'Lose erection before penetration or climax',
        constants.NONE_CHOICE,
      ],
      checkHandler: (newVal) => {
        if (newVal.length > 1 && newVal.includes(constants.NONE_CHOICE)) {
          const idx = newVal.indexOf(constants.NONE_CHOICE)
          if (idx === 0) {
            newVal.splice(idx, 1)
          } else {
            newVal = [constants.NONE_CHOICE]
          }
          this.checkboxSelected = newVal
        }

        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_13')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.checkboxSelected.includes(BEND_CHOICE)) {
        this.setRefer('Sorry!', 'It appears you are not a good candidate for prescription ED medication through Rex MD. Your symptoms indicate you may have Peyronie’s Disease or another health issue that requires an alternate treatment approach. ')
      } else if (this.checkboxSelected.includes(PAIN_WITH_AN_ERECTION_CHOICE)) {
        this.setRefer('Sorry!', 'It appears you are not a good candidate for prescription ED medication through Rex MD. Painful erections can be a sign of priapism and other health issues that require an alternate treatment approach. ')
      } else if (this.checkboxSelected.includes(PROBLEMS_WITH_EJACULATION_CHOICE)) {
        this.setRefer('Sorry!', 'It appears you are not a good candidate for prescription ED medication through Rex MD. \n' +
          'If you have difficulty climaxing during sex, you will likely require an alternate treatment.')
      }

      if (this.refer) return

      this.$emit('nextStage')
    }
  }
}
</script>

<style scoped>

</style>
